package tech.nevets.modbot.api;

import net.dv8tion.jda.api.JDA;
import tech.nevets.modbot.api.commands.CommandRegistry;

public class BotModuleFactory {

    public static BotModule fromIBotModule(IBotModule iBotModule, String moduleName) {

        return new BotModule(moduleName) {
            @Override
            public CommandRegistry loadCommandRegistry() {
                return iBotModule.loadCommandRegistry();
            }

            @Override
            public void onEnable(JDA jda) {
                iBotModule.onEnable(jda);
            }

            @Override
            public void onDisable() {
                iBotModule.onDisable();
            }
        };
    }
}
