package tech.nevets.modbot.util.commands;

import net.dv8tion.jda.api.events.interaction.SlashCommandEvent;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.util.List;

public class CommandContext implements ICommandContext {
    private GuildMessageReceivedEvent event;
    private SlashCommandEvent slashEvent;
    private List<String> args;

    public CommandContext(GuildMessageReceivedEvent event, List<String> args) {
        this.event = event;
        this.args = args;
    }

    public CommandContext(SlashCommandEvent slashEvent) {
        this.slashEvent = slashEvent;
        this.args = null;
    }

    @Override
    public GuildMessageReceivedEvent getEvent() {
        return this.event;
    }

    @Override
    public SlashCommandEvent getSlashEvent() {
        return this.slashEvent;
    }

    public List<String> getArgs() {
        return this.args;
    }
}
